fair::mq::fsm::Machine_ Struct Reference
Inheritance diagram for fair::mq::fsm::Machine_:
[legend]
Collaboration diagram for fair::mq::fsm::Machine_:
[legend]

## Classes

struct | DEVICE_READY_FSM
struct | DeviceReadyFct
struct | ERROR_FSM
struct | ErrorFoundFct
struct | EXITING_FSM
struct | ExitingFct
struct | IDLE_FSM
struct | IdleFct
struct | InitDeviceFct
struct | INITIALIZING_DEVICE_FSM
struct | INITIALIZING_TASK_FSM
struct | InitTaskFct
struct | InternalStopFct
struct | OK_FSM
struct | PAUSED_FSM
struct | PauseFct
struct | READY_FSM
struct | ReadyFct
struct | ResetDeviceFct
struct | ResetTaskFct
struct | RESETTING_DEVICE_FSM
struct | RESETTING_TASK_FSM
struct | ResumeFct
struct | RunFct
struct | RUNNING_FSM
struct | StopFct
struct | transition_table

## Public Types

using | initial_state = boost::mpl::vector< IDLE_FSM, OK_FSM >

## Public Member Functions

template<typename Event , typename FSM >
void | on_entry (Event const &, FSM &fsm)
template<typename Event , typename FSM >
void | on_exit (Event const &, FSM &)
template<typename FSM , typename Event >
void | no_transition (Event const &e, FSM &, int state)
void | CallStateChangeCallbacks (const FairMQStateMachine::State state) const

## Static Public Member Functions

static string | GetStateName (const int state)

## Public Attributes

function< void(void)> | fInitWrapperHandler
function< void(void)> | fInitTaskWrapperHandler
function< void(void)> | fRunWrapperHandler
function< void(void)> | fPauseWrapperHandler
function< void(void)> | fResetWrapperHandler
function< void(void)> | fResetTaskWrapperHandler
function< void(void)> | fExitHandler
function< void(void)> | fUnblockHandler
function< void(void)> | fWork
condition_variable | fWorkAvailableCondition
condition_variable | fWorkDoneCondition
mutex | fWorkMutex
bool | fWorkerTerminated
bool | fWorkActive
bool | fWorkAvailable
boost::signals2::signal< void(const FairMQStateMachine::State)> | fStateChangeSignal
unordered_map< string, boost::signals2::connection > | fStateChangeSignalsMap
atomic< bool > | fTerminationRequested
atomic< FairMQStateMachine::State > | fState

The documentation for this struct was generated from the following file:

- fairmq/FairMQStateMachine.cxx